
From: Alan Cox <alan@redhat.com>

EDD fails with ACARD scsi devices present (hang on the 16bit bios call at
boot)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/firmware/Kconfig |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/firmware/Kconfig~fix-kconfig-for-edd drivers/firmware/Kconfig
--- 25/drivers/firmware/Kconfig~fix-kconfig-for-edd	Thu Sep 30 17:43:09 2004
+++ 25-akpm/drivers/firmware/Kconfig	Thu Sep 30 17:43:09 2004
@@ -14,8 +14,9 @@ config EDD
 	  Services real mode BIOS calls to determine which disk
 	  BIOS tries boot from.  This information is then exported via sysfs.
 
-	  This option is experimental, but believed to be safe,
-	  and most disk controller BIOS vendors do not yet implement this feature.
+	  This option is experimental and is known to fail to boot on some
+          obscure configurations. Most disk controller BIOS vendors do
+          not yet implement this feature.
 
 config EFI_VARS
 	tristate "EFI Variable Support via sysfs"
_
